<?php

declare(strict_types=1);

namespace App\Policies;

use Illuminate\Foundation\Auth\User as AuthUser;
use App\Models\MemberPoint;
use Illuminate\Auth\Access\HandlesAuthorization;

class MemberPointPolicy
{
    use HandlesAuthorization;
    
    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:MemberPoint');
    }

    public function view(AuthUser $authUser, MemberPoint $memberPoint): bool
    {
        return $authUser->can('View:MemberPoint');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:MemberPoint');
    }

    public function update(AuthUser $authUser, MemberPoint $memberPoint): bool
    {
        return $authUser->can('Update:MemberPoint');
    }

    public function delete(AuthUser $authUser, MemberPoint $memberPoint): bool
    {
        return $authUser->can('Delete:MemberPoint');
    }

    public function deleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('DeleteAny:MemberPoint');
    }

    public function restore(AuthUser $authUser, MemberPoint $memberPoint): bool
    {
        return $authUser->can('Restore:MemberPoint');
    }

    public function forceDelete(AuthUser $authUser, MemberPoint $memberPoint): bool
    {
        return $authUser->can('ForceDelete:MemberPoint');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:MemberPoint');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:MemberPoint');
    }

    public function replicate(AuthUser $authUser, MemberPoint $memberPoint): bool
    {
        return $authUser->can('Replicate:MemberPoint');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:MemberPoint');
    }

}